@charset "UTF-8";

// @import '_sprite';
// @import 'node_modules/normalize.css/normalize';
// @import 'node_modules/sass-easing/_easings';
@import 'node_modules/bootstrap/scss/bootstrap';

// @import 'settings/**/*';
// @import 'global/**/*';
@import 'fonts/_fonts';
@import 'modules/animate';
@import 'modules/odometer-plaza-themes';
// @import 'components/**/*';
// @import 'overides/**/*';

.odometer {
    font-size: 150px ;
    @media screen and (max-width: 600px) {
        font-size: 4rem;
    }
}

.odometer-digit:first-child{
    margin-right: 0.10em; 
}

.primary-bg{
    background: #f5f5f5;
}

.content{
    padding: 125px 50px;
    @media screen and (max-width: 600px) {
        padding: 25px 10px;
    }
        .box-title{
            text-align: center;
            margin: 15px 0 25px 0;
            font-family: $font-regular;
            color: #FF5D73;
            font-weight: 600;
        }
}

.lottery{
    padding: 45px 25px;
    background: #ffff;
    border-radius: 25px;
    box-shadow: 1px 0 8px #a6a6a6;
    display: flex;
    justify-content: space-around;
}

.lottery .lottery-number{
    display: none;
}

.lottery-number{
    width: 180px;
    height: 250px;
    border: 2px solid #a6a6a6;
    border-radius: 25px;
    background: white;
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: column;
        .numb{
            margin: auto;
            color: #8C5F66;
            font-size: 4.8rem;
            font-weight: 600;
        }
}

.lottery-footer{
    margin: 25px 0;
    display: flex;
    justify-content: space-between;
        .lottery-results{
            text-align: center;
            position: relative;
        }
}

// btn-custom

.btn-custom{
    color: white;
    font-weight: 600;
    background: #D8A47F;
    border: none;
    border-radius: 35px;
    padding: 5px 25px;
    height: 65px;
    box-shadow: 1px 0 5px #cb8856;
}

.btn-custom:hover{
    background: #FFDDA1;
    color: #8C5F66;
}

.odometer-formatting-mark{
    display: none !important;
}

// modal lottery
.l-modal{
    position: absolute;
    width: 100%;
    top: 0;
    bottom: 0;
    background: rgba($color: #FFDDA1, $alpha: 0.4);
    z-index: 9998;
    display: flex;
    justify-content: center;
    flex-direction: column;
        .l-modal-content{
            width: 750px;
            border-radius: 25px;
            padding: 25px 0;
            background: #D8A47F;
            margin: auto;
            z-index: 9999999;
            text-align: center;
                h3{
                    margin: 20px 0;
                    font-size: 7rem;
                    color: #FF5D73;
                }
        }
}

.close-modal{
    position: absolute;
    width: 100%;
    top: 0;
    bottom: 0;
    z-index: 9999;
}

.l-modal-content h1{
    margin-top: 10%;
    color: #ffff;
    font-weight: 600;
    text-align: center;
    font-family: $font-regular;
    font-size: 2rem;
}